[med-svn] [Git][med-team/bart][master] add tests

Martin Uecker (@uecker-guest) gitlab at salsa.debian.org
Wed Dec 29 20:03:07 GMT 2021



Martin Uecker pushed to branch master at Debian Med / bart


Commits:
45a48e77 by Martin Uecker at 2021-12-29T21:00:42+01:00
add tests

- - - - -


3 changed files:

- debian/changelog
- debian/tests/control
- + debian/tests/suite


Changes:

=====================================
debian/changelog
=====================================
@@ -7,6 +7,7 @@ bart (0.7.00-1) UNRELEASED; urgency=medium
   * Patch to relax failing unit test.
   * Patch to work around compiler bug.
   * Deterministic build.
+  * Run test suite.
 
   [ Andreas Tille ]
   * Standards-Version: 4.6.0 (routine-update)


=====================================
debian/tests/control
=====================================
@@ -5,3 +5,13 @@ Restrictions: superficial
 Tests: octave-integration
 Depends: octave-bart, octave
 Restrictions: superficial
+
+Tests: suite
+Depends: bart, make
+Architecture: amd64
+Restrictions: allow-stderr
+
+Tests: suite
+Depends: bart, make
+Architecture: i386, mips64el, s390x
+Restrictions: allow-stderr, flaky


=====================================
debian/tests/suite
=====================================
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -e
+
+CMDS=`bart | tail -n +2`
+
+mkdir $AUTOPKGTEST_TMP/tests/
+mkdir $AUTOPKGTEST_TMP/tests/out/
+mkdir $AUTOPKGTEST_TMP/tests/tmp/
+
+cat <<EOF > $AUTOPKGTEST_TMP/Makefile
+
+TOOLDIR=$AUTOPKGTEST_TMP/
+TESTS_TMP=$AUTOPKGTEST_TMP/tests/tmp/\$\$\$\$/
+TESTS_OUT=$AUTOPKGTEST_TMP/tests/out/
+
+include tests/*.mk
+
+all: \${TESTS}
+
+EOF
+
+cp version.txt $AUTOPKGTEST_TMP/
+
+for CMD in $CMDS ; do
+
+	ln -s /usr/bin/bart $AUTOPKGTEST_TMP/$CMD
+	[ -e tests/$CMD.mk ] && cp tests/$CMD.mk $AUTOPKGTEST_TMP/tests/
+done
+
+cd $AUTOPKGTEST_TMP
+make all
+



View it on GitLab: https://salsa.debian.org/med-team/bart/-/commit/45a48e77a6c3532607c2322ca0b2d3ab636f6957

-- 
View it on GitLab: https://salsa.debian.org/med-team/bart/-/commit/45a48e77a6c3532607c2322ca0b2d3ab636f6957
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20211229/16e4e984/attachment-0001.htm>


More information about the debian-med-commit mailing list